std::istream_iterator< _Tp, _CharT, _Traits, _Dist >(3cxx)

NAME
std::istream_iterator< _Tp, _CharT, _Traits, _Dist > - Provides input iterator semantics for streams.

SYNOPSIS

#include <stream_iterator.h>

Inherits std::iterator< input_iterator_tag, _Tp, ptrdiff_t, const _Tp *, const _Tp & >.

  Public Types

typedef _CharT char_type
typedef ptrdiff_t difference_type
Distance between iterators is represented as this type.
typedef basic_istream< _CharT, _Traits > istream_type
typedef input_iterator_tag iterator_category
One of the tag types.
typedef const _Tp * pointer
This type represents a pointer-to-value_type.
typedef const _Tp & reference
This type represents a reference-to-value_type.
typedef _Traits traits_type
typedef _Tp value_type
The type pointedto"bytheiterator.

  Public Member Functions

constexpr istream_iterator () noexcept(/*conditional */)
Construct end of input stream iterator.
constexpr istream_iterator (const istream_iterator &__obj) noexcept(/*conditional */)
istream_iterator (istream_type &__s)
Construct start of input stream iterator.
const _Tp & operator* () const noexcept
istream_iterator & operator++ ()
istream_iterator operator++ (int)
const _Tp * operator-> () const noexcept
istream_iterator & operator= (const istream_iterator &)=default

  Friends

bool operator== (const istream_iterator &__x, const istream_iterator &__y) noexcept
Return true if the iterators refer to the same stream, or are both at end-of-stream.

Detailed Description

  template<typename _Tp, typename _CharT = char, typename _Traits = char_traits<_CharT>, typename _Dist = ptrdiff_t>
class std::istream_iterator< _Tp, _CharT, _Traits, _Dist >"Provides input iterator semantics for streams.

Member Typedef Documentation

  typedef ptrdiff_t std::iterator< input_iterator_tag, _Tp, ptrdiff_t, const _Tp *, const _Tp & >::difference_type [inherited]

Distance between iterators is represented as this type.

  typedef input_iterator_tag std::iterator< input_iterator_tag, _Tp, ptrdiff_t, const _Tp *, const _Tp & >::iterator_category [inherited]

One of the tag types.

  typedef const _Tp * std::iterator< input_iterator_tag, _Tp, ptrdiff_t, const _Tp *, const _Tp & >::pointer [inherited]

This type represents a pointer-to-value_type.

  typedef const _Tp & std::iterator< input_iterator_tag, _Tp, ptrdiff_t, const _Tp *, const _Tp & >::reference [inherited]

This type represents a reference-to-value_type.

  typedef _Tp std::iterator< input_iterator_tag, _Tp, ptrdiff_t, const _Tp *, const _Tp & >::value_type [inherited]

The type "pointed to" by the iterator.

Constructor & Destructor Documentation

  template<typename _Tp, typename _CharT = char, typename _Traits = char_traits<_CharT>, typename _Dist = ptrdiff_t> std::istream_iterator< _Tp, _CharT, _Traits, _Dist >::istream_iterator () [inline], [constexpr], [noexcept]

Construct end of input stream iterator.

Referenced by operator==.

  template<typename _Tp, typename _CharT = char, typename _Traits = char_traits<_CharT>, typename _Dist = ptrdiff_t> std::istream_iterator< _Tp, _CharT, _Traits, _Dist >::istream_iterator (istream_type & __s) [inline]

Construct start of input stream iterator.

References std::__addressof().

Friends And Related Symbol Documentation

  template<typename _Tp, typename _CharT = char, typename _Traits = char_traits<_CharT>, typename _Dist = ptrdiff_t> bool operator== (const istream_iterator< _Tp, _CharT, _Traits, _Dist > & __x, const istream_iterator< _Tp, _CharT, _Traits, _Dist > & __y) [friend]

Return true if the iterators refer to the same stream, or are both at end-of-stream.

References istream_iterator().

Author

Generated automatically by Doxygen for libstdc++ from the source code.